import { NgModule } from '@angular/core';
import { Routes, RouterModule } from '@angular/router';
import { PagesComponent } from './pages.component';

const routes: Routes = [
  {
    path: '',
    component: PagesComponent,
    children: [
      { path: '', redirectTo: 'home' },
      { path: 'home', loadChildren: './home/home-page.module#HomePageModule' },
      { path: 'probes', loadChildren: './probes/probes-page.module#ProbesPageModule' },

      { path: 'discovery', loadChildren: './discovery/discovery-page.module#DiscoveryPageModule' },
      { path: 'map', loadChildren: './infra/infra-page.module#InfraPageModule' },
    ]
  }
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule]
})
export class PagesRoutingModule { }
