import { NgModule } from '@angular/core';
import { Routes, RouterModule } from '@angular/router';
import { ProbesPageComponent } from './probes-page.component';
import { ListComponent as ProbeListComponent } from 'app/packages/probe/components/list/list.component';
import { ListComponent as NoauthListComponent } from 'app/packages/noauth/components/list/list.component';
import { DownloadComponent } from 'app/packages/probe/components/download/download.component';

const routes: Routes = [
  {
    path: '',
    component: ProbesPageComponent,
    children: [
      { path: '', component: ProbeListComponent },
      { path: 'noauth', component: NoauthListComponent },
      { path: 'download', component: DownloadComponent },
    ]
  }
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule]
})
export class ProbesPageRoutingModule { }
